[Unit]
Description=Prometheus Node Exporter
After=network.target  # Adjust based on dependencies, if any

[Service]
ExecStart=@WORKDIR@/bin/node_exporter --collector.mountstats --no-collector.processes --no-collector.arp --no-collector.nfs --no-collector.nfsd --no-collector.thermal_zone --web.listen-address=:9100
Restart=always        # Restart if the process crashes
RestartSec=5          # Wait 5 seconds before restarting
WorkingDirectory=@WORKDIR@

[Install]
WantedBy=multi-user.target
